part of 'generated.dart';

class CancelInviteByCodeVariablesBuilder {
  String inviteCode;

  final FirebaseDataConnect _dataConnect;
  CancelInviteByCodeVariablesBuilder(this._dataConnect, {required  this.inviteCode,});
  Deserializer<CancelInviteByCodeData> dataDeserializer = (dynamic json)  => CancelInviteByCodeData.fromJson(jsonDecode(json));
  Serializer<CancelInviteByCodeVariables> varsSerializer = (CancelInviteByCodeVariables vars) => jsonEncode(vars.toJson());
  Future<OperationResult<CancelInviteByCodeData, CancelInviteByCodeVariables>> execute() {
    return ref().execute();
  }

  MutationRef<CancelInviteByCodeData, CancelInviteByCodeVariables> ref() {
    CancelInviteByCodeVariables vars= CancelInviteByCodeVariables(inviteCode: inviteCode,);
    return _dataConnect.mutation("cancelInviteByCode", dataDeserializer, varsSerializer, vars);
  }
}

@immutable
class CancelInviteByCodeData {
  final int teamMember_updateMany;
  CancelInviteByCodeData.fromJson(dynamic json):
  
  teamMember_updateMany = nativeFromJson<int>(json['teamMember_updateMany']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final CancelInviteByCodeData otherTyped = other as CancelInviteByCodeData;
    return teamMember_updateMany == otherTyped.teamMember_updateMany;
    
  }
  @override
  int get hashCode => teamMember_updateMany.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['teamMember_updateMany'] = nativeToJson<int>(teamMember_updateMany);
    return json;
  }

  CancelInviteByCodeData({
    required this.teamMember_updateMany,
  });
}

@immutable
class CancelInviteByCodeVariables {
  final String inviteCode;
  @Deprecated('fromJson is deprecated for Variable classes as they are no longer required for deserialization.')
  CancelInviteByCodeVariables.fromJson(Map<String, dynamic> json):
  
  inviteCode = nativeFromJson<String>(json['inviteCode']);
  @override
  bool operator ==(Object other) {
    if(identical(this, other)) {
      return true;
    }
    if(other.runtimeType != runtimeType) {
      return false;
    }

    final CancelInviteByCodeVariables otherTyped = other as CancelInviteByCodeVariables;
    return inviteCode == otherTyped.inviteCode;
    
  }
  @override
  int get hashCode => inviteCode.hashCode;
  

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = {};
    json['inviteCode'] = nativeToJson<String>(inviteCode);
    return json;
  }

  CancelInviteByCodeVariables({
    required this.inviteCode,
  });
}

